import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _CTCellularPlanProvisioningRequest extends _NSObject {
    static alloc(): _CTCellularPlanProvisioningRequest;
    static new(): _CTCellularPlanProvisioningRequest;
    init(): _CTCellularPlanProvisioningRequest;
    address(): _NSString;
    setAddress$(value: _NSString): void;
    matchingID(): _NSString | null;
    setMatchingID$(value: _NSString | null): void;
    OID(): _NSString | null;
    setOID$(value: _NSString | null): void;
    confirmationCode(): _NSString | null;
    setConfirmationCode$(value: _NSString | null): void;
    ICCID(): _NSString | null;
    setICCID$(value: _NSString | null): void;
    EID(): _NSString | null;
    setEID$(value: _NSString | null): void;
}
export interface _CTCellularPlanProvisioningRequest extends _NSSecureCoding {
}
